## GnomeDbQfFunc

GnomeDbQfFunc — Represents a function (selected by a GnomeDbServerFunction object)

## Synopsis

                GnomeDbQfFunc;
    GType       gnome_db_qf_func_get_type       (void);
    GObject*    gnome_db_qf_func_new_with_func  (GnomeDbQuery *query,
                                                 GnomeDbServerFunction *func);
    GObject*    gnome_db_qf_func_new_with_xml_id
                                                (GnomeDbQuery *query,
                                                 const gchar *func_xml_id);
    GnomeDbServerFunction* gnome_db_qf_func_get_ref_func
                                                (GnomeDbQfFunc *func);
    gboolean    gnome_db_qf_func_set_args       (GnomeDbQfFunc *func,
                                                 GSList *args);
    GSList*     gnome_db_qf_func_get_args       (GnomeDbQfFunc *func);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbQfield
                   +----GnomeDbQfFunc

## Implemented Interfaces

GnomeDbQfFunc implements GnomeDbXmlStorage, GnomeDbRenderer, GnomeDbReferer and GnomeDbField.

## Properties

      "query"                gpointer              : Read / Write

## Signals

    "templ-signal"
                void        user_function      (GnomeDbQfFunc *dbqffunc,
                                                gpointer user_data);

## Description

The function is applied to zero or more GnomeDbQfield objects of the same query

## Details

### GnomeDbQfFunc

    typedef struct _GnomeDbQfFunc GnomeDbQfFunc;

### gnome_db_qf_func_get_type ()

    GType       gnome_db_qf_func_get_type       (void);

Returns : |

### gnome_db_qf_func_new_with_func ()

    GObject*    gnome_db_qf_func_new_with_func  (GnomeDbQuery *query,
                                                 GnomeDbServerFunction *func);

Creates a new GnomeDbQfFunc object which represents the `func` function

`query` : | a GnomeDbQuery in which the new object will be
`func` : | a GnomeDbServerFunction object
Returns : | the new object

### gnome_db_qf_func_new_with_xml_id ()

    GObject*    gnome_db_qf_func_new_with_xml_id
                                                (GnomeDbQuery *query,
                                                 const gchar *func_xml_id);

Creates a new GnomeDbQfFunc object which represents a given function

`query` : | a GnomeDbQuery in which the new object will be
`func_xml_id` : | the XML Id of a GnomeDbServerFunction object
Returns : | the new object

### gnome_db_qf_func_get_ref_func ()

    GnomeDbServerFunction* gnome_db_qf_func_get_ref_func
                                                (GnomeDbQfFunc *func);

Get the real GnomeDbServerFunction object used by `func`

`func` : | a GnomeDbQfFunc object
Returns : | the GnomeDbServerFunction object, or NULL if `func` is not active

### gnome_db_qf_func_set_args ()

    gboolean    gnome_db_qf_func_set_args       (GnomeDbQfFunc *func,
                                                 GSList *args);

Sets the argument(s) of `func`. If `args` is `NULL`, then all the arguments (if there was any) are removed.

If `func` is not active, then no check on the provided args is performed.

`func` : | a GnomeDbQfFunc object
`args` : | a list of GnomeDbQfield objects
Returns : | TRUE if no error occurred

### gnome_db_qf_func_get_args ()

    GSList*     gnome_db_qf_func_get_args       (GnomeDbQfFunc *func);

Get a list of the other GnomeDbQfield objects which are arguments of `func`. If some of them are missing, then a `NULL` is inserted where it should have been.

`func` : | a GnomeDbQfFunc object
Returns : | a new list of arguments

## Property Details

### The "`query`" property

      "query"                gpointer              : Read / Write

## Signal Details

### The "templ-signal" signal

    void        user_function                  (GnomeDbQfFunc *dbqffunc,
                                                gpointer user_data);

`dbqffunc` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.